Subject: Re: bug#78357: 31.0.50; read file name completion generates wrong file name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 May 2025 22:05:54 +0300

merge 78357 78323
thanks

> From: Dieter Deyke <[email-masked]>
> Date: Sat, 10 May 2025 19:55:43 +0200
> 
> I am on Debian with a case sensitve file system. I have a directory
> named "~/media/SANSA CLIPP". After starting emacs -Q and setting the
> option Read File Name Completion Ignore Case to t,
> I type C-x d ~/media/sa then press the Tab key. Emacs completes the
> file name to ~/media/saNSA CLIPP/ which does not exist. In previous
> versions of emacs the "sa" would have been corrected to "SA".

This is a duplicate of bug#78323, so I'm merging them.